import React, { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import CustomHeader from '@/components/CustomHeader/index'
import { getQrCodeImage, getCardQrParam } from '@/utils/qrcode'
import Page from '@/layouts'
import { useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function TuiJianErWeiMa () {

  const { user } = useModel('user')
  const [QrCodeImg, setQrCodeImg] = useState(null)

  useEffect(() => {
    if (QrCodeImg === null) {
      // const page = Taro.Current.router.path
      const page = '/pages/ShouYe/index'
      getQrCodeImage(getCardQrParam(user), page).then(x => setQrCodeImg(x))
    }
  }, [QrCodeImg])

  return (
    <Page>
      <view className='TuiJianErWeiMa'>
        <CustomHeader IsFixed={true} BgColor='none' Title='推荐二维码'></CustomHeader>
        <image mode='widthFix' src='https://zhiyun-image.oss-cn-shanghai.aliyuncs.com/xiangsong/img2.jpg'></image>
        <image mode='widthFix' className='QrCodeImg centerLabel' src={QrCodeImg}></image>
      </view>
    </Page>
  )
}
